Subject: Re: [PATCH 1/2] test-lib-functions.sh: fix usage for test_commit()

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 15 Jan 2021 01:19:02 +0100

On Fri, Jan 15 2021, Denton Liu wrote:

> The usage comment for test_commit() shows that the --author option
> should be given as `--author=<author>`. However, this is incorrect as it
> only works when given as `--author <author>`. Correct this erroneous
> text.
>
> Also, for the sake of correctness, fix the description as well since we
> invoke `git commit` with `--author <author>`, not `--author=<author>`.

LGTM. Thanks for fixing this.

FWIW I was planning to make it just support --author=*, the
test_commit_bulk() function just below that does that, I think I copied
its doc template, but then used test_commit's existing pattern for
options parsing.

But this works just as well, and is easier :)

>
> Signed-off-by: Denton Liu <[email-masked]>
> ---
>  t/test-lib-functions.sh | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/t/test-lib-functions.sh b/t/test-lib-functions.sh
> index b0a5d74dc7..cea73cb8f0 100644
> --- a/t/test-lib-functions.sh
> +++ b/t/test-lib-functions.sh
> @@ -188,8 +188,8 @@ debug () {
>  #	"<file>"
>  #   --signoff
>  #	Invoke "git commit" with --signoff
> -#   --author=<author>
> -#	Invoke "git commit" with --author=<author>
> +#   --author <author>
> +#	Invoke "git commit" with --author <author>
>  #
>  # This will commit a file with the given contents and the given commit
>  # message, and tag the resulting commit with the given tag name.